* {
  box-sizing: border-box;
}

body {
  margin: 0;
  min-height: 100vh;
  background: #00030b;
  color: white;
  font-family: Arial, sans-serif;
  display: flex;
  justify-content: center;
}

.app {
  width: 100%;
  max-width: 710px;
  min-height: 100vh;
  padding: 35px 25px 120px;
  overflow: hidden;
  position: relative;

  background:
    radial-gradient(
      circle at 50% 42%,
      rgba(30, 70, 180, .28),
      transparent 35%
    ),
    linear-gradient(#020510, #030816);
}

/* HEADER */

header {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

header h1 {
  margin: 0;
  font-size: 28px;
  letter-spacing: 1px;
}

header p {
  margin: 5px 0;
  color: #8d9bb8;
}

.profile {
  width: 55px;
  height: 55px;
  border-radius: 50%;
  display: grid;
  place-items: center;

  border: 2px solid #49bfff;
  background: radial-gradient(circle, #526789, #081024);

  box-shadow: 0 0 20px #238cff55;
}

/* WELCOME */

.welcome {
  display: flex;
  justify-content: space-between;
  margin-top: 45px;
  gap: 20px;
}

.welcome h2 {
  margin: 0;
  font-size: 25px;
}

.welcome span {
  display: block;
  margin-top: 8px;
  color: #19baff;
}

.status {
  width: 225px;
  padding: 15px;
  border: 1px solid #17628e;
  border-radius: 18px;
  background: #07152b;
}

.status small {
  display: block;
  color: #b9c5d9;
}

.status strong {
  display: block;
  color: #1dc5ff;
  font-size: 19px;
  margin-top: 6px;
}

.mini-wave {
  height: 22px;
  margin-top: 10px;
  background:
    repeating-linear-gradient(
      90deg,
      #138cff 0 3px,
      transparent 3px 9px
    );
  animation: mini 1s infinite alternate;
}

@keyframes mini {
  from { transform: scaleY(.4); }
  to { transform: scaleY(1); }
}

/* CORE AREA */

.core-area {
  height: 650px;
  position: relative;
  margin-top: 5px;
}

.orbit {
  position: absolute;
  left: 50%;
  top: 52%;
  transform: translate(-50%, -50%);
  border-radius: 50%;
  border: 1px solid #167bca66;
  animation: rotate 20s linear infinite;
}

.orbit1 {
  width: 510px;
  height: 510px;
}

.orbit2 {
  width: 400px;
  height: 400px;
  border-color: #773cff55;
  animation-direction: reverse;
  animation-duration: 14s;
}

.orbit3 {
  width: 590px;
  height: 590px;
  border-style: dashed;
  border-color: #167bca33;
  animation-duration: 30s;
}

@keyframes rotate {
  to {
    transform: translate(-50%, -50%) rotate(360deg);
  }
}

/* AGENTS */

.agent {
  position: absolute;
  width: 145px;
  padding: 13px 8px;
  text-align: center;

  border-radius: 20px;
  border: 1px solid #315486;
  background: linear-gradient(
    145deg,
    #0b1c3b,
    #050d20
  );

  box-shadow:
    0 0 25px #0755aa22,
    inset 0 0 20px #5141aa15;

  animation: float 4s ease-in-out infinite;
}

.agent b {
  display: block;
  font-size: 27px;
  color: #65aaff;
  margin-bottom: 5px;
}

.agent strong {
  font-size: 13px;
}

.agent small {
  display: block;
  color: #b4c0d5;
  margin-top: 5px;
  font-size: 10px;
}

.agent small::first-letter {
  color: #28e8ad;
}

.manager {
  top: 5%;
  left: 50%;
  transform: translateX(-50%);
}

.research {
  left: 3%;
  top: 28%;
}

.design {
  right: 3%;
  top: 28%;
}

.automation {
  left: 2%;
  top: 65%;
}

.seo {
  right: 2%;
  top: 65%;
}

.security {
  left: 50%;
  top: 82%;
  transform: translateX(-50%);
}

@keyframes float {
  50% {
    margin-top: -6px;
  }
}

/* AI CORE */

.core {
  position: absolute;
  left: 50%;
  top: 52%;

  width: 285px;
  height: 285px;

  transform: translate(-50%, -50%);

  border-radius: 50%;

  background:
    radial-gradient(
      circle at 30% 25%,
      #5ff8ff,
      #197fff 22%,
      #382eff 55%,
      #9b21ed 78%,
      #07102c
    );

  border: 2px solid #5cecff;

  box-shadow:
    0 0 35px #00cfff99,
    0 0 90px #313dff55,
    inset 0 0 45px #6ceaff44;

  animation: corePulse 3s ease-in-out infinite;
}

.core::before,
.core::after {
  content: "";
  position: absolute;
  inset: -25px;
  border-radius: 50%;
  border: 1px solid #28d9ff66;
  animation: ring 3s infinite;
}

.core::after {
  inset: -45px;
  border-color: #8c43ff55;
  animation-delay: .6s;
}

.core-inner {
  position: absolute;
  inset: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;

  text-shadow: 0 0 18px #9befff;
}

.core-inner strong {
  font-size: 30px;
}

.core-inner span {
  margin-top: 5px;
  font-size: 20px;
  letter-spacing: 3px;
}

@keyframes corePulse {
  50% {
    transform: translate(-50%, -50%) scale(1.04);
  }
}

@keyframes ring {
  50% {
    transform: scale(1.08);
    opacity: .4;
  }
}

/* LISTENING */

.listening {
  height: 155px;
  position: relative;

  border: 1px solid #263e68;
  border-radius: 22px;

  background: #061126;

  text-align: center;
  padding-top: 20px;
}

.listening h3 {
  margin: 0;
  font-size: 19px;
}

.listening p {
  margin: 5px;
  color: #8d99b2;
  font-size: 13px;
}

.wave {
  position: absolute;
  left: 20px;
  right: 20px;
  bottom: 20px;
  height: 45px;

  display: flex;
  align-items: center;
  justify-content: center;
  gap: 3px;
}

.wave span {
  width: 3px;
  border-radius: 5px;
  background: linear-gradient(
    #11dfff,
    #7241ff
  );

  animation: sound .7s infinite alternate;
}

@keyframes sound {
  from { height: 5px; }
  to { height: 42px; }
}

#mic {
  position: absolute;
  left: 50%;
  bottom: -30px;

  transform: translateX(-50%);

  width: 70px;
  height: 70px;

  border-radius: 50%;
  border: 1px solid #4bdfff;

  background: #08142c;

  font-size: 25px;

  box-shadow:
    0 0 25px #16cfff66,
    inset 0 0 25px #762fff44;
}

/* QUICK ACTIONS */

.quick {
  margin-top: 22px;
}

.title {
  display: flex;
  justify-content: space-between;
  margin-bottom: 15px;
}

.title span {
  color: #6fa9df;
  font-size: 13px;
}

.actions {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  gap: 9px;
}

.actions button {
  height: 120px;
  border-radius: 16px;
  border: 1px solid #243d6c;

  background: #07132b;

  color: white;
  font-size: 28px;

  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 12px;
}

.actions small {
  font-size: 12px;
  color: #c9d3e5;
}

/* STATS */

.stats {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 10px;
  margin-top: 18px;
}

.stats > div {
  padding: 15px;
  border-radius: 17px;
  border: 1px solid #20375e;
  background: #071227;
}

.stats small {
  color: #9aa7bf;
}

.stats strong {
  display: block;
  font-size: 22px;
  margin: 13px 0;
}

.stats i {
  display: block;
  height: 4px;
  border-radius: 5px;
  background: #20dfa4;
}

.stats .purple {
  background: #9345ff;
}

.stats .blue {
  background: #328bff;
}

/* NAV */

nav {
  position: absolute;
  bottom: 0;
  left: 25px;
  right: 25px;

  height: 85px;

  border: 1px solid #253b60;
  border-radius: 22px 22px 0 0;

  background: #030b1b;

  display: grid;
  grid-template-columns: repeat(5, 1fr);
  align-items: center;
}

nav a {
  text-align: center;
  color: #7e8da9;
  font-size: 25px;
}

nav small {
  display: block;
  font-size: 11px;
}

nav .active {
  color: #30c9ff;
}

.nav-core {
  width: 70px;
  height: 70px;
  margin: auto;

  border-radius: 50%;

  background:
    radial-gradient(
      circle,
      #1eeaff,
      #3b27d8 40%,
      #8e29ff 65%,
      #08091f
    );

  box-shadow:
    0 0 35px #713cffaa;

  animation: navPulse 2s infinite;
}

@keyframes navPulse {
  50% {
    transform: scale(1.08);
  }
}

/* MOBILE */

@media (max-width: 600px) {

  .app {
    padding: 25px 22px 105px;
  }

  header h1 {
    font-size: 23px;
  }

  .welcome {
    display: block;
    margin-top: 30px;
  }

  .status {
    width: 100%;
    margin-top: 15px;
  }

  .core-area {
    height: 530px;
  }

  .orbit1 {
    width: 330px;
    height: 330px;
  }

  .orbit2 {
    width: 270px;
    height: 270px;
  }

  .orbit3 {
    width: 390px;
    height: 390px;
  }

  .core {
    width: 190px;
    height: 190px;
  }

  .core-inner strong {
    font-size: 21px;
  }

  .core-inner span {
    font-size: 14px;
  }

  .agent {
    width: 105px;
    padding: 9px 4px;
  }

  .agent b {
    font-size: 21px;
  }

  .agent strong {
    font-size: 9px;
  }

  .agent small {
    font-size: 7px;
  }

  .actions button {
    height: 95px;
    font-size: 20px;
  }

  .actions small {
    font-size: 9px;
  }

  .stats {
    gap: 6px;
  }

  .stats > div {
    padding: 10px;
  }

  .stats strong {
    font-size: 17px;
  }

  nav {
    left: 20px;
    right: 20px;
  }

  .nav-core {
    width: 60px;
    height: 60px;
  }
}